Index: /trunk/SophyaPI/PI/piwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/piwdgx.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/piwdgx.cc	(revision 4077)
@@ -20,5 +20,9 @@
 #include "pigraphx.h"
 
+#ifdef SANS_EVOLPLANCK
+#include "perrors.h"
+#else
 #include "pexceptions.h"
+#endif
 
 
@@ -623,30 +627,30 @@
 // Ressources X si non definis 
 static const String fallback_res[26] = {
-const_cast<char*>("PeidaInt*default*background:                 LightGrey") ,
-const_cast<char*>("PeidaInt*background:                         LightGrey") ,
-const_cast<char*>("PeidaInt*Foreground:                         Black"),
-const_cast<char*>("PeidaInt*default*Foreground:                 Black"),
-const_cast<char*>("PeidaInt*default*bottomShadowColor:          Black"),
-const_cast<char*>("PeidaInt*bottomShadowColor:                  Black"),
-const_cast<char*>("PeidaInt*default*topShadowColor:             White"),
-const_cast<char*>("PeidaInt*topShadowColor:                     White"),
-const_cast<char*>("PeidaInt*borderColor:                        Black"),
-const_cast<char*>("PeidaInt*XmLabel.borderWidth:                0"),
-const_cast<char*>("PeidaInt*XmDrawingArea*background:           Black"),
-const_cast<char*>("PeidaInt*XmPushButton*borderWidth:           0"),
-const_cast<char*>("PeidaInt*XmText*shadowThickness:             2"),
-const_cast<char*>("PeidaInt*XmText*highlightThickness:          0"),
-const_cast<char*>("PeidaInt*XmText*marginHeigt:                 0"),
-const_cast<char*>("PeidaInt*XmText*marginWidth:                 2"),
-// const_cast<char*>("PeidaInt*DefMenubar*XtNwidth:                250"),
-// const_cast<char*>("PeidaInt*DefMenubar*XtNheight:               30"),
-const_cast<char*>("PeidaInt*fontList:           -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1"),
-const_cast<char*>("PeidaInt*default*fontList:   -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1"),
-const_cast<char*>("PeidaInt*fontFamilyName:                     *-courier"),    // Pas de blanc apres le nom de font
-const_cast<char*>("PeidaInt*courierfontFamilyName:              *-courier"),    //           "        " 
-const_cast<char*>("PeidaInt*helveticafontFamilyName:            *-helvetica"),  //           "        " 
-const_cast<char*>("PeidaInt*timesfontFamilyName:                *-times"),      //           "        " 
-const_cast<char*>("PeidaInt*symbolfontFamilyName:               *-symbol"),     //           "        " 
-const_cast<char*>("PeidaInt*XmToggleButton*selectColor:         Red"),
+"PeidaInt*default*background:                 LightGrey" ,
+"PeidaInt*background:                         LightGrey" ,
+"PeidaInt*Foreground:                         Black",
+"PeidaInt*default*Foreground:                 Black",
+"PeidaInt*default*bottomShadowColor:          Black",
+"PeidaInt*bottomShadowColor:                  Black",
+"PeidaInt*default*topShadowColor:             White",
+"PeidaInt*topShadowColor:                     White",
+"PeidaInt*borderColor:                        Black",
+"PeidaInt*XmLabel.borderWidth:                0",
+"PeidaInt*XmDrawingArea*background:           Black",
+"PeidaInt*XmPushButton*borderWidth:           0",
+"PeidaInt*XmText*shadowThickness:             2",
+"PeidaInt*XmText*highlightThickness:          0",
+"PeidaInt*XmText*marginHeigt:                 0",
+"PeidaInt*XmText*marginWidth:                 2",
+// "PeidaInt*DefMenubar*XtNwidth:                250",
+// "PeidaInt*DefMenubar*XtNheight:               30",
+"PeidaInt*fontList:           -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1",
+"PeidaInt*default*fontList:   -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1",
+"PeidaInt*fontFamilyName:                     *-courier",    // Pas de blanc apres le nom de font
+"PeidaInt*courierfontFamilyName:              *-courier",    //           "        " 
+"PeidaInt*helveticafontFamilyName:            *-helvetica",  //           "        " 
+"PeidaInt*timesfontFamilyName:                *-times",      //           "        " 
+"PeidaInt*symbolfontFamilyName:               *-symbol",     //           "        " 
+"PeidaInt*XmToggleButton*selectColor:         Red",
 NULL
 };
@@ -677,10 +681,18 @@
 if (top == NULL) {
   fprintf(stderr, "PIWdgX::InitXt()/ Error XtVaAppInitialize()\n");
-  throw PError("PIWdgX::InitXt()/ Error XtVaAppInitialize()");
+#ifdef SANS_EVOLPLANCK
+  throw notFoundErr;
+#else
+  throw NotFoundExc("PIWdgX::InitXt()/ Error XtVaAppInitialize()");
+#endif
   }
 dpy = XtDisplay(top);
 if (dpy == NULL)  {
   fprintf(stderr, "PIWdgX::InitXt()/ Error XtVaAppInitialize()/DisplayConnection\n");
-  throw PError("PIWdgX::InitXt()/ Error XtVaAppInitialize()/DisplayConnection");
+#ifdef SANS_EVOLPLANCK
+  throw notFoundErr;
+#else
+  throw NotFoundExc("PIWdgX::InitXt()/ Error XtVaAppInitialize()/DisplayConnection");
+#endif
   }
 
@@ -722,5 +734,5 @@
   }
 stdfnt = XLoadQueryFont(dpy, buff);
-const char * myfntname = "???";
+char * myfntname = "???";
 // Recherche du champ taille en pixel de la fonte : apres le 7eme tiret
 int mySzFont = 12;
@@ -819,56 +831,4 @@
 }
 
-
-// Pour exporter le tableau des pixels du widget en classe  PIPixRGBArray
-inline void _col2_fcol_(unsigned long & col, unsigned long & fcol)
-{
-  if (col > 0x00FFFFFF)  fcol = 0x01000000;
-  else if  (col > 0x0000FFFF)  fcol = 0x000010000;
-  else if (col > 0x000000FF) fcol = 0x00000100;
-  else fcol = 1;  
-}   
-/* --Methode-- */
-void PIWdgX::ExportToRGB(PIPixRGBArray & rgba)
-{
-Display* mdsp = PIXDisplay();
-int scr = XDefaultScreen(mdsp);
-int depth = DefaultDepth(mdsp,scr);
-Window xw = XtWindow(XtWdg());
-unsigned long plane_mask = ~0;  // tous les bits a 1
-XImage * ximg = XGetImage(mdsp, xw, 0, 0, XSize(), YSize(), plane_mask, ZPixmap);
-//DBG  cout << " Resultat XGetImage -> " << hex << ximg << dec << endl;
-if (ximg == NULL)  return;	
-                            
-unsigned long red,green,blue;
-unsigned long fred,fgreen,fblue;
-XColor col;
-Colormap  cmap = XDefaultColormap (mdsp, scr);
-red = 0x000000FF; 
-green = 0x0000FF00;
-blue = 0x00FF0000;
-unsigned short maxrgb = ~0;
-col.red = maxrgb;  col.green = col.blue = 0;
-if (XAllocColor(mdsp, cmap, &col)) red = col.pixel; 
-col.green = maxrgb;  col.red = col.blue = 0;
-if (XAllocColor(mdsp, cmap, &col)) green = col.pixel;      
-col.blue = maxrgb;  col.red = col.green = 0;
-if (XAllocColor(mdsp, cmap, &col)) blue = col.pixel;      
-_col2_fcol_(red, fred);
-_col2_fcol_(green, fgreen);
-_col2_fcol_(blue, fblue);
-rgba.SetSize(XSize(), YSize());
-unsigned long pixel;
-PIPixRGB rgb;
-for(int j=0; j<YSize(); j++)
-  for(int i=0; i<XSize(); i++) {
-    pixel = XGetPixel(ximg, i, j);
-    rgb.red = (pixel&red)/fred;
-    rgb.green = (pixel&green)/fgreen;
-    rgb.blue = (pixel&blue)/fblue;
-    rgba(i,j) = rgb;
-  }
-  XDestroyImage(ximg);
-  return;  
-}
 
 
Index: /trunk/SophyaPI/PI/piwdgx.h
===================================================================
--- /trunk/SophyaPI/PI/piwdgx.h	(revision 4076)
+++ /trunk/SophyaPI/PI/piwdgx.h	(revision 4077)
@@ -63,7 +63,4 @@
   virtual void           SetUnSensitive();
   virtual bool           IfSensitive();
-
-// Pour exporter le tableau des pixels du widget en classe  PIPixRGBArray
-  virtual void           ExportToRGB(PIPixRGBArray & rgba);
 
 //  Gestion de copier-coller
Index: /trunk/SophyaPI/PI/piwindowx.cc
===================================================================
--- /trunk/SophyaPI/PI/piwindowx.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/piwindowx.cc	(revision 4077)
@@ -152,9 +152,7 @@
 //if (mWtyp == PIWK_transient)  
   XRaiseWindow(mdsp, XtWindow(pwm->XtWdg()));
-  // cmv+rz Fevrier 2009 (retour Moriond) - Suppression de XFlush() / usleep  
-  // Probleme regle par gestion VisibilityChange event ds pixtbase.cc
   // cmv+rz 09/08/2007 Ajout XFlush() + usleep 
   // pour regler le probleme de  perte d'evenement expose a la creation
-  //  XFlush(mdsp);   usleep(5000);
+  XFlush(mdsp);   usleep(5000);
 return;
 }
Index: /trunk/SophyaPI/PI/pixtbase.cc
===================================================================
--- /trunk/SophyaPI/PI/pixtbase.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/pixtbase.cc	(revision 4077)
@@ -46,5 +46,5 @@
 
 static XtResource resources[] ={
-  {const_cast<char*>(PIXNobject) ,const_cast<char*>("Object"), XtRPointer, sizeof(XtRPointer),
+  {PIXNobject ,(char *)"Object", XtRPointer, sizeof(XtRPointer),
    XtOffset(PIXtBaseWidget,  pixtbase.objet), XtRImmediate, (XtPointer)0},
 };
@@ -143,24 +143,4 @@
 }
 
-// Pour traiter les etats de changements de visibilite de la fenetre
-/* Nouvelle-Fonction */
-void visibchange_handler_pixtbase (Widget wdgp, XtPointer /*closure*/, 
-                             XEvent* evt, Boolean* cont)
-{
-#ifdef DEBUG_PIXTB
-printf("Debug_visibchange_handler_pixtbase: Wdg= %lx Object= %lx  fgvis_expose= %d (EvtType=%d VisSt=%d)\n", 
-  (long)wdgp, (long)(((PIXtBaseWidget)wdgp)->pixtbase.objet),
-  ((PIXtBaseWidget)wdgp)->pixtbase.vis_expose_fg, (int)evt->type,(int)evt->xvisibility.state);
-#endif
-PIXtBaseWidget bwdg = (PIXtBaseWidget)wdgp;
-if (bwdg->pixtbase.vis_expose_fg != 1) return;
-if (evt->xvisibility.state == VisibilityFullyObscured)  return;
-int x0, y0, dx, dy;
-x0 = y0 = 0;
-dx = wdgp->core.width;  dy = wdgp->core.height;
-(bwdg->pixtbase.objet)->eXposeProcess(x0, y0, dx, dy);
-bwdg->pixtbase.vis_expose_fg = 0;
-}
-
 /* Nouvelle-Fonction */
 static void init_pixtbase (Widget request, Widget wdg,
@@ -174,16 +154,12 @@
 // get_GCs (wdgp);
 #ifdef DEBUG_PIXTB
-printf("Debug_init_pixtbase: Wdg=%lx Object= %lx  \n", 
-(long)wdgp, (long)(wdgp->pixtbase.objet));
-#endif
-
-// Pour gerer les exposes event avec fenetre non visible ...
-wdgp->pixtbase.vis_expose_fg = 0;
-XtAddEventHandler(wdg, VisibilityChangeMask, FALSE, visibchange_handler_pixtbase, NULL);
-return;
-}
-
-/* Nouvelle-Fonction */
-static void destroy_pixtbase (Widget wdgp)
+printf("Debug_init_pixtbase: Wdg=%lx Object= %lx  narg=%d \n", 
+(long)wdgp, (long)(wdgp->pixtbase.objet), (int)(*narg));
+#endif
+return;
+}
+
+/* Nouvelle-Fonction */
+static void destroy_pixtbase (Widget /*wdgp*/)
 {
 #ifdef DEBUG_PIXTB
@@ -218,23 +194,14 @@
 (long)(((PIXtBaseWidget)wdgp)->pixtbase.objet) );
 #endif
-if (!(wdgp->core.visible))  { 
-  ((PIXtBaseWidget)wdgp)->pixtbase.vis_expose_fg = 1;
-  return;
-}
-if ( ((PIXtBaseWidget)wdgp)->pixtbase.objet ) {
+if (!(wdgp->core.visible))  return;
+if ( ((PIXtBaseWidget)wdgp)->pixtbase.objet ) 
+  {
   XRectangle  xrec;
   int x0, y0, dx, dy;
-  if (region) {
-    XClipBox(region, &xrec);
-    x0 = xrec.x;  y0 = xrec.y;
-    dx = xrec.width;  dy = xrec.height;
+  XClipBox(region, &xrec);
+  x0 = xrec.x;  y0 = xrec.y;
+  dx = xrec.width;  dy = xrec.height;
+  (((PIXtBaseWidget)wdgp)->pixtbase.objet)->eXposeProcess(x0, y0, dx, dy);
   }
-  else {
-    x0 = y0 = 0;
-    dx = wdgp->core.width;  dy = wdgp->core.height;
-  }
-  (((PIXtBaseWidget)wdgp)->pixtbase.objet)->eXposeProcess(x0, y0, dx, dy);
-  ((PIXtBaseWidget)wdgp)->pixtbase.vis_expose_fg = 0;
-}
 return;
 }
Index: /trunk/SophyaPI/PI/pixtbaseP.h
===================================================================
--- /trunk/SophyaPI/PI/pixtbaseP.h	(revision 4076)
+++ /trunk/SophyaPI/PI/pixtbaseP.h	(revision 4077)
@@ -24,5 +24,4 @@
 PIBaseWdgX  * objet; 
 unsigned long myeventmask;
-unsigned int vis_expose_fg;   // Gestion des expose_event avec fenetre non visible
 } PIXtBasePart;
 
Index: /trunk/SophyaPI/PI/psfile.cc
===================================================================
--- /trunk/SophyaPI/PI/psfile.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/psfile.cc	(revision 4077)
@@ -433,4 +433,6 @@
       setFontDone(true)
 {
+    char*  date = new (char[64] ) ; 
+    time_t timer ; 
 
     /* Ouverture du fichier en mode w+ */
@@ -452,7 +454,7 @@
     fprintf(mPSFile, "                       \n");
 
-    time_t timer; time(&timer); 
-    string date = ctime(&timer); 
-    fprintf(mPSFile, HEADER, mPSFileName, date.c_str()) ; /* titre, date etc... */
+    time(&timer) ; 
+    date = ctime(&timer) ; 
+    fprintf(mPSFile, HEADER, mPSFileName, date) ; /* titre, date etc... */
     fprintf(mPSFile, PIDICT, PIDICT_PAR) ;        /* Dictionnaire */
     fprintf(mPSFile, PIMARKERS, PIMARKERS_PAR) ;  /* Fonte "PIMARKERS" */
@@ -494,4 +496,6 @@
     setFontDone(true)
 {
+    char * date = new(char[64]) ; 
+    time_t timer ; 
 
     /* Ouverture du fichier, en mode w+ (tout est ecrase) */
@@ -505,7 +509,7 @@
     /* Ecriture du Header  */
     fprintf(mPSFile, "%%!PS-Adobe-2.0\n") ;
-    time_t timer; time(&timer); 
-    string date = ctime(&timer); 
-    fprintf(mPSFile, HEADER, mPSFileName, date.c_str()) ; /* titre, date etc... */
+    time(&timer) ; 
+    date = ctime(&timer) ; 
+    fprintf(mPSFile, HEADER, mPSFileName, date) ; /* titre, date etc... */
     fprintf(mPSFile, PIDICT, PIDICT_PAR) ;        /* Dictionnaire */
     fprintf(mPSFile, PIMARKERS, PIMARKERS_PAR) ;  /* Fonte "PIMARKERS" */
@@ -678,5 +682,5 @@
 	}
 	/* Portrait ou Landscape ? */
-	if(orientation == PI_Auto)  {
+	if(orientation == PI_Auto) 
 	    if( ((tw < th) && (Dx < 1.2*Dy)) ||
 		((tw > th) && (Dx > Dy) )) 
@@ -684,5 +688,5 @@
 	    else 
 		currentPage->orientation = PI_Landscape ;
-	}
+
 	if(currentPage->orientation == PI_Portrait) {
 	  //	    if( (tw/Dx) < (th/Dy) ) 
@@ -1363,46 +1367,6 @@
     for(i = 0; i < Ny; i++) {
 	for(j = 0; j<Nx-1; j++ )
-	    fprintf(mPSFile, "%02X", (int)Pict[i*Nx+j]);
-    fprintf(mPSFile, "%02X\n", (int)Pict[i*Nx+j]);
-    }
-    /* Un petit grestore ...*/
-    fprintf(mPSFile, "gr\n");
-}
-
-void PSFile::Image(double x0, double y0, double Tx, double Ty,
-		   int Nx, int Ny,
-		   unsigned short *Pict, 
-		   PIColorMap *mMap) {
-
-    int i, j;
-
-    /* Buffers PostScript */
-    fprintf(mPSFile, "/Taille %d def\n", Nx);
-    fprintf(mPSFile, "/ImStr Taille string def\n");
-    fprintf(mPSFile, "/RGBStr Taille 3  mul string def\n");
-
-    /* Ecriture ColorMap */
-    fprintf(mPSFile, "/ColorMap %05d array def\n", mMap->NCol() );
-    for(i = 0; i < mMap->NCol(); i++) {
-	fprintf(mPSFile, "ColorMap %d [16#%02X 16#%02X 16#%02X] put\n",
-		i,
-		(int)(mMap->GetColor(i).red/256),
-		(int)(mMap->GetColor(i).green/256),
-		(int)(mMap->GetColor(i).blue/256));
-    }
-    /* Emplacement de l'image */
-    fprintf(mPSFile, "gs %.2f Ux %.2f Uy tr %.2f Ux %.2f Uy sc\n", x0, y0, Tx, Ty);
-    /* Nbr pix-X, Nbr pix-Y bits/pixels */
-    fprintf(mPSFile, "%d %d 16\n", Nx, Ny);
-    /* Matrice de passage */
-    fprintf(mPSFile, "[%d 0 0 %d 0 0]", Nx, Ny);
-    /* Fonction colorimage */
-    fprintf(mPSFile, "{currentfile ImStr readhexstring pop GetRGB}\
-false 3 colorimage\n\n");
-    /* Data */
-    for(i = 0; i < Ny; i++) {
-	for(j = 0; j<Nx-1; j++ )
-	    fprintf(mPSFile, "%04X", (int)Pict[i*Nx+j]);
-    fprintf(mPSFile, "%04X\n", (int)Pict[i*Nx+j]);
+	    fprintf(mPSFile, "%02X", Pict[i*Nx+j]);
+    fprintf(mPSFile, "%02X\n", Pict[i*Nx+j]);
     }
     /* Un petit grestore ...*/
Index: /trunk/SophyaPI/PI/psfile.h
===================================================================
--- /trunk/SophyaPI/PI/psfile.h	(revision 4076)
+++ /trunk/SophyaPI/PI/psfile.h	(revision 4077)
@@ -165,8 +165,4 @@
 			unsigned char *pict,
 			PIColorMap *mColorMap);
-    virtual void  Image(double x0, double y0, double Tx, double Ty,
-			int Nx, int Ny,
-			unsigned short *pict,
-			PIColorMap *mColorMap);
 
 // Declarations en public - sinon certains compilateurs cxx , aCC, xlC ont des problemes
Index: /trunk/SophyaPI/PI/ucckprot.h
===================================================================
--- /trunk/SophyaPI/PI/ucckprot.h	(revision 4076)
+++ /trunk/SophyaPI/PI/ucckprot.h	(revision 4077)
@@ -13,4 +13,7 @@
 #endif
 
+//define PETIT_DBLE 1.e-39
+//define PREC_DBLE  1.e-5
+//define PROT_DBLE  1.e-19
 #define PETIT_DBLE 1.e-85
 // qque probleme sur le trace - J'augmente les marges - Reza 14/5/2002 
@@ -18,7 +21,6 @@
 #define PREC_DBLE  1.e-14
 #define MINRAP_DBLE  1.e-12
-// Avril 2012 (cmv+reza) : on passe les limites de protection double de 1e+/-100 a 1e+/-250 
-#define PROT_DBLE_MIN  1.e-250
-#define PROT_DBLE_MAX  1.e+250
+#define PROT_DBLE_MIN  1.e-100
+#define PROT_DBLE_MAX  1.e+100
 
 inline double UC_LimitProtectDouble(double x)
@@ -40,5 +42,4 @@
   bool rc = false;
   double xym,xym2;
-  if (xmax<xmin) xmax=xmin;
   xym = fabs(xmax);
   xym2 = fabs(xmin);
@@ -46,7 +47,7 @@
   if (xym < PETIT_DBLE) xym = PETIT_DBLE;
   if ((xmax-xmin) < MINRAP_DBLE*xym) {
-    //    printf("UC_CheckMinMaxDiff_Debug: xmin=%.15e xmax=%.15e diff=%.15e \n",xmin,xmax,xmax-xmin); 
-    xmin -= MINRAP_DBLE*xym*0.5;  xmax += MINRAP_DBLE*xym*0.5;; // xmax = xmin+MINRAP_DBLE*xym;
-    //    printf(" ...Changed to --> xmin=%.15e xmax=%.15e diff=%.15e \n",xmin,xmax,xmax-xmin); 
+    xmin -= MINRAP_DBLE*xym*0.5;  xmax = xmin+MINRAP_DBLE*xym;
+    //    cerr << " DBG-CheckMinMaxDiff: xmin,max=" << xmin << "," << xmax 
+    //	 << " xym=" << xym << " diff=" << xmax-xmin << endl;
     rc = true;
   }
